
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Roboto", Arial, Helvetica, sans-serif;
}

@font-face {
    font-family: "Roboto";
    src: url("./media/fonts/roboto-regular.woff2") format(".woff2");
}

ul {
    list-style: none;
}

button,
input {
  color: inherit;
  font: inherit;
}

button {
  border: none;
  appearance: none;
  outline: none;
  background: none;
  cursor: pointer;
}

.main-container {
    display: grid;
    grid-template-columns: 1fr 5fr;
    grid-template-rows: 1fr 6fr;
}


.header {
    height: 200px;
    grid-column: 2 / 3;
}

.content {
    background-color: #e7e5e4;
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}


/************** Sidebar ***********/

.side-bar {
    background-color: #172554;
    min-width: 300px;
    grid-row: 1 / 3;

}

.nav {
    margin: 40px;
}

ul {
    margin-top: 50px;
}

ul li:nth-child(6){
    margin-bottom: 60px;
}

.side-bar-item {
    font-size: 0.8rem;
    color: white;
    margin-top: 20px;
    display: flex;
    align-items: center;
    gap: 20px;
    font-weight: 500;
}



.side-bar-item a {
    display: flex;
    align-items: center;
    gap: 1rem;
    text-decoration: none;
    color: #fafafa;
    font-size: 1.4rem;
}

.side-bar-dashboard span {
    font-size: 1em;
}

.side-bar-dashboard a {
    color: #fafafa;
    display: flex;
    align-items: center;
    gap: 1rem;
    text-decoration: none;
    font-size: 2rem;
}

.side-bar-dashboard {
    display: flex;
    align-items: center;
    font-size: 1rem;
    gap: 1rem;

}

.side-bar-dashboard {
    color: white;
    display: flex;
}

.side-bar-dashboard > [class^='material-icons'] {
    font-size: 3em;
    margin-right: 0.25em;
}



/*********  Header  ***********/

.header {
    color: #000000;
    background-color: #fafafa;
    box-shadow: 0px 1px 8px  #888888;
    z-index: 1;
    padding: 30px 50px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100%;
}

.top {
    display: flex;
    justify-content: space-between;    
}

.search {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    flex: 1;
    width: 100%;
    margin-right: auto;
}

.search input {
    border-radius: 100px;
    border: 0px;
    padding: 10px 15px;
    font-size: 1rem;
    width: min(700px, 70%);
    background-color: #e7e5e4;
}

.search label span {
    font-size: 2rem;
}

.account {
    display: flex;
    align-items: center;
    justify-content: space-between;

}

.account p {
    font-size: 1.2rem;
    font-weight: 700;
}

.account button span {
    border: 0;
}

.account-picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/06fbe298931623.5ee79b6a90221.jpg) center center / cover no-repeat;
    margin: 0 1rem 0 2.5rem;
    height: 40px;
    width: 40px;
    border-radius: 50%;
}

.bottom {
    display: flex;
    justify-content: space-between;
}

.profile {
    display: flex;
    justify-content: flex-end;
    gap: 15px;
}

.profile .picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/06fbe298931623.5ee79b6a90221.jpg) center center / cover no-repeat;
    height: 75px;
    width: 75px;
    border-radius: 50%;
}

.profile .intro {
    display: flex;
    flex-direction: column;
}

.greeting {
    margin: 10px 0px 5px 0;;
    font-weight: 800;
}

.greeting-name {
    font-size: 1.6rem;
    font-weight: 800;
}

.btns {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 2rem;
}

.btn {
    background-color: navy;
    color: white;
    font-weight: 700;
    padding: 0.75em 2.3em;
    border-radius: 99em;
}


/**************** Main content ******************/

.content {
    display: grid;
    grid-template-columns: 4fr 1fr;
    grid-template-rows: 0.5fr 1fr;
    padding: 2rem;
}

.projects {
    grid-column: 1 / 2;
    grid-row: 1 / 3;
}


.cards {
    padding: 1rem;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    grid-auto-rows: 250px;
    gap: 2rem;
}

.announcements {
    padding: 1rem;
    grid-column: 2 / 3;
    grid-row: 1 / 2;
}

.content h2 {
    margin-bottom: 1rem;
}

.trending {
    padding: 1rem;
    grid-column: 2 / 3;
    grid-row: 2 / 3;
}

.card {
    background-color: #fafafa;
    border-radius: 10px;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    border-left: 10px solid navy;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
    
}

.card-btns {
    margin-top: auto;
    align-self: flex-end;
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1.5rem;
}
  
.card-btns span {
    font-size: 1.75rem;
    cursor: pointer;
}
  

.card-text h3{
    margin-bottom: 6px;
}



.card-text p {
    color: #78716c;
    display: -webkit-box;
    display: -moz-box;
    display: box;
    -webkit-line-clamp: 5;
    -moz-line-clamp: 5;
    line-clamp: 5;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
    box-orient: vertical;
    overflow: hidden;
}


.announcements .card {
    border: 0;
}

.trending .card {
    border: 0;
}

.announcement {
    width: 25ch;
    padding: 1rem 0;
}

.announcement h4 {
    margin-bottom: 10px;
}

.announcement:last-child {
    padding-bottom: 0;
}

.announcement p {
    color: #78716c;
    font-size: 0.8rem;
    display: -webkit-box;
    display: -moz-box;
    display: box;
    -webkit-line-clamp: 3;
    -moz-line-clamp: 3;
    line-clamp: 3;
    -webkit-box-orient: vertical;
    -moz-box-orient: vertical;
    box-orient: vertical;
    overflow: hidden;
    overflow: hidden;
}

.announcement + .announcement {
    border-top: #e7e5e4 1px solid;
}



.announcement:first-child {
    padding-top: 0;
}

.trend .picture {
    background-color: #fa3a6d;
    border-radius: 50%;
    width: 45px;
    height: 45px;
  }
.trending .card {
    padding: 1.5rem;
}

.trend {
    display: flex;
    align-items: center;
    gap: 1rem;
    cursor: pointer;
}

.trend + .trend {
    margin-top: 1.5rem;
}

.trend-1 .picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/2e80bb98931623.5ee79b6a8f342.jpg) center center / cover no-repeat;
}
.trend-2 .picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/06fbe298931623.5ee79b6a90221.jpg) center center / cover no-repeat;
}
.trend-3 .picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/8394f798931623.5ee79b6a909ea.jpg) center center / cover no-repeat;
}
.trend-4 .picture {
    background: url(https://mir-s3-cdn-cf.behance.net/project_modules/disp/baa20698931623.5ee79b6a8ec2b.jpg) center center / cover no-repeat;
}

.account-trending {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    font-size: 0.9rem;
}

.name{
    color: #78716c;
}